Skip to main content
`Ctrl`+`K`

# KSPPIPEGCRGetTruncationType

get the truncation strategy employed by `KSPPIPEGCR`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRGetTruncationType(KSP ksp, KSPFCDTruncationType *truncstrat)

Not Collective

## Input Parameter

- ksp - the Krylov space context

## Output Parameter

- truncstrat - the strategy type

      KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to `mmax`) stored directions
      KSP_FCD_TRUNC_TYPE_NOTAY uses the last `max(1,mod(i,mmax))` directions at iteration i =0, 1, ..

## See Also

KSP: Linear System Solvers, `KSPPIPEGCR`, `KSPPIPEGCRSetTruncationType()`, `KSPFCDTruncationType`, `KSP_FCD_TRUNC_TYPE_STANDARD`, `KSP_FCD_TRUNC_TYPE_NOTAY`

## Level

intermediate

## Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages